Search

Search endpoints provide convenient, flexible ways to search across the Moon Banking platform.

The search model

The search model contains arrays of search results from banks, countries, stories, and stocks.

Properties

    Name
    banks
    Type
    array
    Description

    Array of search results for banks. Each bank embeds its stocks, which is empty for a bank with no public listing.

    Name
    countries
    Type
    array
    Description

    Array of search results for countries.

    Name
    stories
    Type
    array
    Description

    Array of search results for stories.

    Name
    stocks
    Type
    array
    Description

    Array of search results for stocks. Each stock embeds its associated market and bank.


GET/search

Search across banks, countries, stories, and stocks. You can specify which entities to search using the include parameter. If no include value is provided, all entities will be searched. Banks are also matched on the ticker symbol of their stock listings, so searching BAC returns Bank of America.

Required parameters

    Name
    q
    Type
    string
    Description

    Search query string.

Optional parameters

    Name
    include
    Type
    string
    Description

    An optional comma-separated list of fields to include in the response. Possible values: banks, countries, stories, stocks

    Name
    limit
    Type
    integer
    Constraints
    min1max50
    Default
    default10
    Description

    Maximum number of results to return per entity type.

Request

GET
/search
curl -G https://api.moonbanking.com/v1/search \
  -H "Authorization: Bearer {your_api_key}" \
  -H "Moon-Banking-Version: 2025-07-11" \
  --data-urlencode "q=Fidelity" \
  --data-urlencode "include=banks%2Ccountries%2Cstories%2Cstocks" \
  --data-urlencode "limit=10"

Response

{
  "success": true,
  "data": {
    "banks": [
      {
        "id": "6jkxE4N8gHXgDPK",
        "name": "Fidelity",
        "rank": 1,
        "countryRank": 1,
        "url": "https://www.fidelity.com",
        "description": "# Fidelity\n\nFidelity is a financial institution that provides banksing and investment services to individuals.",
        "storiesCount": 10,
        "scores": {
          "overall": {
            "total": 45,
            "up": 30,
            "down": 15,
            "score": 33
          },
          "cryptoFriendly": {
            "total": 12,
            "up": 8,
            "down": 4,
            "score": 33
          },
          "customerService": {
            "total": 10,
            "up": 7,
            "down": 3,
            "score": 40
          },
          "feesPricing": {
            "total": 8,
            "up": 5,
            "down": 3,
            "score": 25
          },
          "digitalExperience": {
            "total": 7,
            "up": 4,
            "down": 3,
            "score": 14
          },
          "securityTrust": {
            "total": 9,
            "up": 6,
            "down": 3,
            "score": 33
          },
          "accountFeatures": {
            "total": 6,
            "up": 4,
            "down": 2,
            "score": 33
          },
          "branchAtmAccess": {
            "total": 5,
            "up": 3,
            "down": 2,
            "score": 20
          },
          "internationalBanking": {
            "total": 4,
            "up": 3,
            "down": 1,
            "score": 50
          },
          "businessBanking": {
            "total": 6,
            "up": 4,
            "down": 2,
            "score": 33
          },
          "processingSpeed": {
            "total": 3,
            "up": 2,
            "down": 1,
            "score": 33
          },
          "transparency": {
            "total": 4,
            "up": 3,
            "down": 1,
            "score": 50
          },
          "innovation": {
            "total": 3,
            "up": 2,
            "down": 1,
            "score": 33
          },
          "investmentServices": {
            "total": 2,
            "up": 1,
            "down": 1,
            "score": 0
          },
          "lending": {
            "total": 2,
            "up": 1,
            "down": 1,
            "score": 0
          }
        },
        "countryId": "454hfjsjuusbf",
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z",
        "country": {
          "id": "454hfjsjuusbf",
          "name": "United States",
          "code": "US",
          "emoji": "🇺🇸"
        },
        "stocks": [
          {
            "id": "5bKqNzTx8mLrW3v",
            "symbol": "BAC",
            "isPrimary": false,
            "marketId": "5bKqNzTx8mLrW3v",
            "bankId": "6jkxE4N8gHXgDPK",
            "createdAt": "2024-01-15T10:30:00.000Z",
            "updatedAt": "2024-01-15T10:30:00.000Z",
            "market": {
              "id": "5bKqNzTx8mLrW3v",
              "name": "New York Stock Exchange",
              "code": "NYSE",
              "tvCode": "NYSE",
              "isTvEmbeddable": true,
              "type": "STOCK",
              "countryId": "5bKqNzTx8mLrW3v",
              "createdAt": "2024-01-15T10:30:00.000Z",
              "updatedAt": "2024-01-15T10:30:00.000Z"
            },
            "bank": {
              "id": "6jkxE4N8gHXgDPK",
              "name": "Fidelity",
              "url": "https://www.fidelity.com",
              "rank": 1,
              "countryRank": 1,
              "countryId": "454hfjsjuusbf"
            }
          },
    ...
  ]
      },
    ...
  ],
    "countries": [
      {
        "id": "454hfjsjuusbf",
        "name": "United States",
        "code": "US",
        "rank": 1,
        "emoji": "🇺🇸",
        "banksCount": 10,
        "storiesCount": 10,
        "scores": {
          "overall": {
            "total": 412,
            "up": 268,
            "down": 144,
            "score": 30
          },
          "cryptoFriendly": {
            "total": 45,
            "up": 30,
            "down": 15,
            "score": 33
          },
          "customerService": {
            "total": 42,
            "up": 28,
            "down": 14,
            "score": 33
          },
          "feesPricing": {
            "total": 38,
            "up": 25,
            "down": 13,
            "score": 32
          },
          "digitalExperience": {
            "total": 35,
            "up": 22,
            "down": 13,
            "score": 26
          },
          "securityTrust": {
            "total": 40,
            "up": 26,
            "down": 14,
            "score": 30
          },
          "accountFeatures": {
            "total": 32,
            "up": 20,
            "down": 12,
            "score": 25
          },
          "branchAtmAccess": {
            "total": 28,
            "up": 18,
            "down": 10,
            "score": 29
          },
          "internationalBanking": {
            "total": 25,
            "up": 16,
            "down": 9,
            "score": 28
          },
          "businessBanking": {
            "total": 30,
            "up": 19,
            "down": 11,
            "score": 27
          },
          "processingSpeed": {
            "total": 22,
            "up": 14,
            "down": 8,
            "score": 27
          },
          "transparency": {
            "total": 20,
            "up": 13,
            "down": 7,
            "score": 30
          },
          "innovation": {
            "total": 18,
            "up": 12,
            "down": 6,
            "score": 33
          },
          "investmentServices": {
            "total": 15,
            "up": 10,
            "down": 5,
            "score": 33
          },
          "lending": {
            "total": 12,
            "up": 8,
            "down": 4,
            "score": 33
          }
        },
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z"
      },
    ...
  ],
    "stories": [
      {
        "id": "8HsY5nBc7jAqM4u",
        "text": "I had a great experience with this bank's customer service.",
        "tags": [
          "CUSTOMER_SERVICE"
        ],
        "bankId": "6jkxE4N8gHXgDPK",
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z",
        "thumbsUpCount": 10,
        "bank": {
          "id": "6jkxE4N8gHXgDPK",
          "name": "Fidelity",
          "url": "https://www.fidelity.com",
          "countryId": "454hfjsjuusbf"
        },
        "country": {
          "id": "454hfjsjuusbf",
          "name": "United States",
          "code": "US",
          "emoji": "🇺🇸"
        }
      },
    ...
  ],
    "stocks": [
      {
        "id": "5bKqNzTx8mLrW3v",
        "symbol": "BAC",
        "isPrimary": false,
        "marketId": "5bKqNzTx8mLrW3v",
        "bankId": "6jkxE4N8gHXgDPK",
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z",
        "market": {
          "id": "5bKqNzTx8mLrW3v",
          "name": "New York Stock Exchange",
          "code": "NYSE",
          "tvCode": "NYSE",
          "isTvEmbeddable": true,
          "type": "STOCK",
          "countryId": "5bKqNzTx8mLrW3v",
          "createdAt": "2024-01-15T10:30:00.000Z",
          "updatedAt": "2024-01-15T10:30:00.000Z"
        },
        "bank": {
          "id": "6jkxE4N8gHXgDPK",
          "name": "Fidelity",
          "url": "https://www.fidelity.com",
          "rank": 1,
          "countryRank": 1,
          "countryId": "454hfjsjuusbf"
        }
      },
    ...
  ]
  },
  "message": "Sample message",
  "timestamp": "2026-04-09T00:39:30.636Z",
  "version": "2025-07-11"
}

Was this page helpful?